general {
    layout=dwindle
    allow_tearing = 1
    gaps_in = 3
    gaps_out = 6
    border_size = 2
    col.active_border = rgba(0DB7D4FF) rgba(7AA2F7FF) rgba(9778D0FF) 45deg
    col.inactive_border = rgba(04404aaa)
}

xwayland {
    use_nearest_neighbor = 0
    force_zero_scaling = 1
}

input {
    kb_layout=gb
    repeat_rate=50
    repeat_delay=300
    numlock_by_default=1
    left_handed=0

    follow_mouse=2
    accel_profile=flat
}

gestures {
    workspace_swipe=1
}

animations {
    enabled=1
    bezier = md3_decel, 0.05, 0.7, 0.1, 1
    animation = windows, 1, 2, md3_decel, popin 80%
    animation = border, 1, 10, default
    animation = fade, 1, 2, default
    animation = workspaces, 1, 3, md3_decel
    animation = specialWorkspace, 1, 3, md3_decel, slidevert
}

dwindle {
    pseudotile = 1
    preserve_split = 1
}

render {
    explicit_sync = 1
    explicit_sync_kms = 1
    direct_scanout = 0
}

opengl {
    nvidia_anti_flicker = 0
    force_introspection = 2
}

cursor {
    no_hardware_cursors = 0
    enable_hyprcursor = 1
    allow_dumb_copy = 0
    sync_gsettings_theme = 1
}

decoration {
    rounding=15
    blur {
        enabled = true
        xray = false
        size = 2
        passes = 3
        new_optimizations = on
        
        noise = 0.01
        contrast = 1.6
        brightness = 1.1
        
        #contrast = 1
        #brightness = 1
        
    }
    drop_shadow=0
    shadow_range=6
    shadow_render_power=2
    shadow_ignore_window=1
    shadow_offset= 0 0
    col.shadow=rgba(1A1A1AEE)
    col.shadow_inactive=rgba(1A1A1AEE)
}

misc {
    vrr = 2
    vfr = 1
    enable_swallow = false
    swallow_regex = ^(kitty)$
    disable_hyprland_logo = true
    disable_splash_rendering = true
    focus_on_activate = true
    animate_manual_resizes = true
    animate_mouse_windowdragging = true
    mouse_move_enables_dpms = true
    key_press_enables_dpms = true
    middle_click_paste = false
}

debug {
    overlay = 0
    damage_blink = 0
    damage_tracking = 2
}

env=MOZ_ENABLE_WAYLAND,1
env=XDG_SESSION_TYPE,wayland
env=XDG_CURRENT_DESKTOP,Hyprland
env=XDG_SESSION_DESKTOP,Hyprland
env=MOZ_DBUS_REMOTE,1
env=GDK_BACKEND,wayland
env=QT_AUTO_SCREEN_SCALE_FACTOR,1
env=QT_QPA_PLATFORM,wayland
env=QT_WAYLAND_FORCE_DPI,physical
env=SDL_VIDEODRIVER,wayland
env=CLUTTER_BACKEND,wayland
env=TERM,kitty
env=TERMINAL,kitty
#env=SDL_VIDEO_EGL_ALLOW_TRANSPARENCY,1
env = NVD_BACKEND,direct
env = LIBVA_DRIVER_NAME,nvidia
env = ELECTRON_OZONE_PLATFORM_HINT,auto
env = GBM_BACKEND,nvidia-drm
env = __GLX_VENDOR_LIBRARY_NAME,nvidia
env = __GL_VRR_ALLOWED,1
env = __GL_GSYNC_ALLOWED,1
env = ELECTRON_OZONE_PLATFORM_HINT,auto
env = GOOGLE_DEFAULT_CLIENT_SECRET,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
env = GOOGLE_DEFAULT_CLIENT_ID,514517749804-ssrladfi9ra4sebphsv057agnfvt4885.apps.googleusercontent.com
env = GOOGLE_API_KEY,AIzaSyAtHKPJF20E8gNtqjLQtYUd1kxUAP6kozs
env = HYPRCURSOR_THEME,McMojave
env = HYPRCURSOR_SIZE,32
env = XCURSOR_THEME,McMojaveOrig
env = XCURSOR_SIZE,24
env = QT_QPA_PLATFORMTHEME,gnome

source=~/.config/hypr/exec.conf
source=~/.config/hypr/keybinds.conf
source=~/.config/hypr/monitors.conf
source=~/.config/hypr/windows.conf
